<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Missions/Scripts/3_game/dayzexpansion_missions/missions/expansionmissionsettings.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d2e/a01949_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmissionsettings.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d2e/a01949.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMissionSettings.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionMissionSettings</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       Mission settings class</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d39/a06109.html">ExpansionMissionSettings</a>: <a class="code hl_class" href="../../d5/df8/a04353.html">ExpansionSettingBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">   18</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">VERSION</a> = 2;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">   20</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">Enabled</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">   22</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">InitialMissionStartDelay</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">   23</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">TimeBetweenMissions</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">   25</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">   26</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    [NonSerialized()]</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">   31</a></span>    ref array&lt; ref ExpansionMissionMeta &gt; <a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    [NonSerialized()]</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">   34</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">m_GenerateDefaults</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    [NonSerialized()]</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a4e026e93a3b6e8cdfeb2154ebcb63bc9">   37</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d9/d39/a06109.html#a4e026e93a3b6e8cdfeb2154ebcb63bc9">SI_OnSave</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    [NonSerialized()]</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">   40</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">m_IsLoaded</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ExpansionMissionSettings Constructor</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a4d52575cdff9f5b992b3187c834fd260">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a4d52575cdff9f5b992b3187c834fd260">ExpansionMissionSettings</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {       </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a> = <span class="keyword">new</span> array&lt; ref ExpansionMissionMeta &gt;;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ExpansionMissionModule Destructor</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a63aad352f58c2e7ebc9b256dbe9be766">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a63aad352f58c2e7ebc9b256dbe9be766">~ExpansionMissionSettings</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {       </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// ExpansionMissionModule OnRecieve</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">//TODO: COT module sending optimization</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a7016aae9b8ea19658855aa680fdc8f28">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a7016aae9b8ea19658855aa680fdc8f28">OnRecieve</a>( ParamsReadContext ctx )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">        //! Don&#39;t send to client</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment"></span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="comment">// ExpansionMissionModule Send</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a03456d0d046bfe434a416228534514ea">   72</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a03456d0d046bfe434a416228534514ea">Send</a>( PlayerIdentity identity )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">        //! Don&#39;t send to client</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment"></span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="comment">// ExpansionMissionModule Copy</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a7150108f45bc5d03fc57d689aa7b1dc2">   80</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a7150108f45bc5d03fc57d689aa7b1dc2">Copy</a>( <a class="code hl_class" href="../../d5/df8/a04353.html">ExpansionSettingBase</a> setting )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_class" href="../../d9/d39/a06109.html">ExpansionMissionSettings</a> s;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> ( !Class.CastTo( s, setting ) )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_function" href="../../d9/d39/a06109.html#aaaba25b686fb4eb3c7e45890b44deb80">CopyInternal</a>( s );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// ExpansionMissionModule CopyInternal</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#aaaba25b686fb4eb3c7e45890b44deb80">   93</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d39/a06109.html#aaaba25b686fb4eb3c7e45890b44deb80">CopyInternal</a>(  <a class="code hl_class" href="../../d9/d39/a06109.html">ExpansionMissionSettings</a> s )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordtype">int</span> i = 0;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>.Clear();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">for</span> (i = 0; i &lt; s.<a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>.Count(); i++)</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>.Insert( s.<a class="code hl_variable" href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a>[i] );</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">Enabled</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">Enabled</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">InitialMissionStartDelay</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">InitialMissionStartDelay</a>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">TimeBetweenMissions</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">TimeBetweenMissions</a>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a> = s.<a class="code hl_variable" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <span class="comment">// ExpansionMissionModule IsLoaded</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#ac59ad1ca4f2bb5d95963d5659d4031ba">  114</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#ac59ad1ca4f2bb5d95963d5659d4031ba">IsLoaded</a>()</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">m_IsLoaded</a>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">// ExpansionMissionModule Unload</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a04d77ad821345f6a259ca85bae418611">  122</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a04d77ad821345f6a259ca85bae418611">Unload</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">m_IsLoaded</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">// ExpansionMissionModule OnLoad</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a51dd2e63665f4e3bfb01a4de38cd1eb5">  130</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a51dd2e63665f4e3bfb01a4de38cd1eb5">OnLoad</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnLoad&quot;</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">m_IsLoaded</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="comment"></span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment">        //! Move existing missions over from old location in $profile to new location in $mission</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment"></span>        <span class="keywordtype">string</span> folderNameOld = <a class="code hl_variable" href="../../de/d5d/a08769.html#ac1b44835d65dbd0da0d46b3e849cbaa7">EXPANSION_FOLDER</a> + <span class="stringliteral">&quot;Missions\\&quot;</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> ( FileExist( folderNameOld ) ) </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <a class="code hl_function" href="../../d5/df8/a04353.html#a7aaa39a85a70d59a3773bfed3a55923f">MoveSettings</a>( folderNameOld, <a class="code hl_variable" href="../../de/d5d/a08769.html#aa0f82b1e3b5f4f3334a8dafefe9a03b0">EXPANSION_MISSIONS_FOLDER</a> );</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">if</span> ( !FileExist( <a class="code hl_variable" href="../../de/d5d/a08769.html#aa0f82b1e3b5f4f3334a8dafefe9a03b0">EXPANSION_MISSIONS_FOLDER</a> ) ) </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a74d44f1611215da2e681353dd29d2929">MakeDirectoryRecursive</a>( <a class="code hl_variable" href="../../de/d5d/a08769.html#aa0f82b1e3b5f4f3334a8dafefe9a03b0">EXPANSION_MISSIONS_FOLDER</a> );</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <a class="code hl_variable" href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">m_GenerateDefaults</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">bool</span> save;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordtype">bool</span> missionSettingsExist = FileExist( <a class="code hl_variable" href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a> );</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> ( missionSettingsExist )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;[ExpansionMissionSettings] Load existing setting file:&quot;</span> + <a class="code hl_variable" href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a>);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            JsonFileLoader&lt;ExpansionMissionSettings&gt;.JsonLoadFile( <a class="code hl_variable" href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a>, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>( <a class="code hl_variable" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a> &gt;= 0, <span class="stringliteral">&quot;[ExpansionMissionSettings] MinPlayersToStartMissions can&#39;t be lower than 0!&quot;</span> );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>( <a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a> &gt;= 0, <span class="stringliteral">&quot;[ExpansionMissionSettings] MinMissions can&#39;t be lower than 0!&quot;</span> );</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>( <a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a> &gt;= 0, <span class="stringliteral">&quot;[ExpansionMissionSettings] MaxMissions can&#39;t be lower than 0!&quot;</span> );</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>( <a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a> &gt;= <a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a>, <span class="stringliteral">&quot;[ExpansionMissionSettings] MaxMissions can&#39;t be lower than MinMissions!&quot;</span> );</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/df8/a04353.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> &lt; <a class="code hl_variable" href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">VERSION</a>)</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                <a class="code hl_variable" href="../../d5/df8/a04353.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> = <a class="code hl_variable" href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">VERSION</a>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                save = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;[ExpansionMissionSettings] No existing setting file:&quot;</span> + <a class="code hl_variable" href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a> + <span class="stringliteral">&quot;. Creating defaults!&quot;</span>);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <a class="code hl_function" href="../../d9/d39/a06109.html#a61915a1c311d635b197a97b6dfc7b685">Defaults</a>();</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            save = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">if</span> (save)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            <a class="code hl_function" href="../../d5/df8/a04353.html#a61d8e1b05f7a562841a0e9f037f80b51">Save</a>();</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">return</span> missionSettingsExist;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="comment">// ExpansionMissionModule OnSave</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a98852f9865b856d4e38d72e20ab3fb57">  187</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a98852f9865b856d4e38d72e20ab3fb57">OnSave</a>()</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        Print(<span class="stringliteral">&quot;[ExpansionMissionSettings] Saving settings&quot;</span>);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        JsonFileLoader&lt;ExpansionMissionSettings&gt;.JsonSaveFile( <a class="code hl_variable" href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a>, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a4e026e93a3b6e8cdfeb2154ebcb63bc9">SI_OnSave</a>.Invoke( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    <span class="comment">// ExpansionMissionModule Defaults</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a61915a1c311d635b197a97b6dfc7b685">  201</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a61915a1c311d635b197a97b6dfc7b685">Defaults</a>()</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <a class="code hl_variable" href="../../d5/df8/a04353.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a> = <a class="code hl_variable" href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">VERSION</a>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">Enabled</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">InitialMissionStartDelay</a> = 300000; <span class="comment">// 5 minutes</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">TimeBetweenMissions</a> = 3600000; <span class="comment">// 1 hour</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a> = 0;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a> = 1;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a> = 0;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <a class="code hl_variable" href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">m_GenerateDefaults</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a019c1608c8277b308612c214b6fe5368">  219</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a019c1608c8277b308612c214b6fe5368">DidGenerateDefaults</a>()</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">m_GenerateDefaults</a>;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="../../d9/d39/a06109.html#a050bc1063e49478a603f04c3fb9094e0">  225</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d39/a06109.html#a050bc1063e49478a603f04c3fb9094e0">SettingName</a>()</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Mission Settings&quot;</span>;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00803_html_a360b77a21b7b48591e2d244da9c12d7e"><div class="ttname"><a href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a></div><div class="ttdeci">static void EXPrint(string s, string prefix=&quot; [EXPANSION DEBUG]: &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00027">expansionstatic.c:27</a></div></div>
<div class="ttc" id="aa00803_html_ae52b22a15cd70143ec56e9e0d067d950"><div class="ttname"><a href="../../d5/d72/a00803.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a></div><div class="ttdeci">static bool Expansion_Assert_False(bool check, string message)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00013">expansionstatic.c:13</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_a74d44f1611215da2e681353dd29d2929"><div class="ttname"><a href="../../df/d88/a04241.html#a74d44f1611215da2e681353dd29d2929">ExpansionStatic::MakeDirectoryRecursive</a></div><div class="ttdeci">static bool MakeDirectoryRecursive(string path)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00747">expansionstatic.c:747</a></div></div>
<div class="ttc" id="aa04353_html"><div class="ttname"><a href="../../d5/df8/a04353.html">ExpansionSettingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00013">expansionsettingbase.c:14</a></div></div>
<div class="ttc" id="aa04353_html_a61d8e1b05f7a562841a0e9f037f80b51"><div class="ttname"><a href="../../d5/df8/a04353.html#a61d8e1b05f7a562841a0e9f037f80b51">ExpansionSettingBase::Save</a></div><div class="ttdeci">bool Save()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00059">expansionsettingbase.c:59</a></div></div>
<div class="ttc" id="aa04353_html_a7aaa39a85a70d59a3773bfed3a55923f"><div class="ttname"><a href="../../d5/df8/a04353.html#a7aaa39a85a70d59a3773bfed3a55923f">ExpansionSettingBase::MoveSettings</a></div><div class="ttdeci">static bool MoveSettings(string srcPath, string dstPath, string ext=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00130">expansionsettingbase.c:130</a></div></div>
<div class="ttc" id="aa04353_html_ad541ae0da305802229fdbe9e5cf0cc0d"><div class="ttname"><a href="../../d5/df8/a04353.html#ad541ae0da305802229fdbe9e5cf0cc0d">ExpansionSettingBase::m_Version</a></div><div class="ttdeci">int m_Version</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/a00893_source.html#l00015">expansionsettingbase.c:15</a></div></div>
<div class="ttc" id="aa06109_html"><div class="ttname"><a href="../../d9/d39/a06109.html">ExpansionMissionSettings</a></div><div class="ttdoc">Mission settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00016">expansionmissionsettings.c:17</a></div></div>
<div class="ttc" id="aa06109_html_a019c1608c8277b308612c214b6fe5368"><div class="ttname"><a href="../../d9/d39/a06109.html#a019c1608c8277b308612c214b6fe5368">ExpansionMissionSettings::DidGenerateDefaults</a></div><div class="ttdeci">bool DidGenerateDefaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00219">expansionmissionsettings.c:219</a></div></div>
<div class="ttc" id="aa06109_html_a03456d0d046bfe434a416228534514ea"><div class="ttname"><a href="../../d9/d39/a06109.html#a03456d0d046bfe434a416228534514ea">ExpansionMissionSettings::Send</a></div><div class="ttdeci">override int Send(PlayerIdentity identity)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00072">expansionmissionsettings.c:72</a></div></div>
<div class="ttc" id="aa06109_html_a04d77ad821345f6a259ca85bae418611"><div class="ttname"><a href="../../d9/d39/a06109.html#a04d77ad821345f6a259ca85bae418611">ExpansionMissionSettings::Unload</a></div><div class="ttdeci">override void Unload()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00122">expansionmissionsettings.c:122</a></div></div>
<div class="ttc" id="aa06109_html_a050bc1063e49478a603f04c3fb9094e0"><div class="ttname"><a href="../../d9/d39/a06109.html#a050bc1063e49478a603f04c3fb9094e0">ExpansionMissionSettings::SettingName</a></div><div class="ttdeci">override string SettingName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00225">expansionmissionsettings.c:225</a></div></div>
<div class="ttc" id="aa06109_html_a2466c22fa5689ec13e397db1fa653d51"><div class="ttname"><a href="../../d9/d39/a06109.html#a2466c22fa5689ec13e397db1fa653d51">ExpansionMissionSettings::m_IsLoaded</a></div><div class="ttdeci">private bool m_IsLoaded</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00040">expansionmissionsettings.c:40</a></div></div>
<div class="ttc" id="aa06109_html_a4d52575cdff9f5b992b3187c834fd260"><div class="ttname"><a href="../../d9/d39/a06109.html#a4d52575cdff9f5b992b3187c834fd260">ExpansionMissionSettings::ExpansionMissionSettings</a></div><div class="ttdeci">void ExpansionMissionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00045">expansionmissionsettings.c:45</a></div></div>
<div class="ttc" id="aa06109_html_a4e026e93a3b6e8cdfeb2154ebcb63bc9"><div class="ttname"><a href="../../d9/d39/a06109.html#a4e026e93a3b6e8cdfeb2154ebcb63bc9">ExpansionMissionSettings::SI_OnSave</a></div><div class="ttdeci">static ref ScriptInvoker SI_OnSave</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00037">expansionmissionsettings.c:37</a></div></div>
<div class="ttc" id="aa06109_html_a51dd2e63665f4e3bfb01a4de38cd1eb5"><div class="ttname"><a href="../../d9/d39/a06109.html#a51dd2e63665f4e3bfb01a4de38cd1eb5">ExpansionMissionSettings::OnLoad</a></div><div class="ttdeci">override bool OnLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00130">expansionmissionsettings.c:130</a></div></div>
<div class="ttc" id="aa06109_html_a61915a1c311d635b197a97b6dfc7b685"><div class="ttname"><a href="../../d9/d39/a06109.html#a61915a1c311d635b197a97b6dfc7b685">ExpansionMissionSettings::Defaults</a></div><div class="ttdeci">override void Defaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00201">expansionmissionsettings.c:201</a></div></div>
<div class="ttc" id="aa06109_html_a63aad352f58c2e7ebc9b256dbe9be766"><div class="ttname"><a href="../../d9/d39/a06109.html#a63aad352f58c2e7ebc9b256dbe9be766">ExpansionMissionSettings::~ExpansionMissionSettings</a></div><div class="ttdeci">void ~ExpansionMissionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00053">expansionmissionsettings.c:53</a></div></div>
<div class="ttc" id="aa06109_html_a67a39ce27034dae84e91b9185e513976"><div class="ttname"><a href="../../d9/d39/a06109.html#a67a39ce27034dae84e91b9185e513976">ExpansionMissionSettings::VERSION</a></div><div class="ttdeci">static const int VERSION</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00018">expansionmissionsettings.c:18</a></div></div>
<div class="ttc" id="aa06109_html_a7016aae9b8ea19658855aa680fdc8f28"><div class="ttname"><a href="../../d9/d39/a06109.html#a7016aae9b8ea19658855aa680fdc8f28">ExpansionMissionSettings::OnRecieve</a></div><div class="ttdeci">override bool OnRecieve(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00062">expansionmissionsettings.c:62</a></div></div>
<div class="ttc" id="aa06109_html_a713093377a3e6149b505b2bd9707b4b4"><div class="ttname"><a href="../../d9/d39/a06109.html#a713093377a3e6149b505b2bd9707b4b4">ExpansionMissionSettings::MinPlayersToStartMissions</a></div><div class="ttdeci">int MinPlayersToStartMissions</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00028">expansionmissionsettings.c:28</a></div></div>
<div class="ttc" id="aa06109_html_a7150108f45bc5d03fc57d689aa7b1dc2"><div class="ttname"><a href="../../d9/d39/a06109.html#a7150108f45bc5d03fc57d689aa7b1dc2">ExpansionMissionSettings::Copy</a></div><div class="ttdeci">override bool Copy(ExpansionSettingBase setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00080">expansionmissionsettings.c:80</a></div></div>
<div class="ttc" id="aa06109_html_a7972ab5533f19a88ab62d5c92c008f00"><div class="ttname"><a href="../../d9/d39/a06109.html#a7972ab5533f19a88ab62d5c92c008f00">ExpansionMissionSettings::InitialMissionStartDelay</a></div><div class="ttdeci">int InitialMissionStartDelay</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00022">expansionmissionsettings.c:22</a></div></div>
<div class="ttc" id="aa06109_html_a93ae2791d153c8d5431cbad015473fa6"><div class="ttname"><a href="../../d9/d39/a06109.html#a93ae2791d153c8d5431cbad015473fa6">ExpansionMissionSettings::m_GenerateDefaults</a></div><div class="ttdeci">private bool m_GenerateDefaults</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00034">expansionmissionsettings.c:34</a></div></div>
<div class="ttc" id="aa06109_html_a98852f9865b856d4e38d72e20ab3fb57"><div class="ttname"><a href="../../d9/d39/a06109.html#a98852f9865b856d4e38d72e20ab3fb57">ExpansionMissionSettings::OnSave</a></div><div class="ttdeci">override bool OnSave()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00187">expansionmissionsettings.c:187</a></div></div>
<div class="ttc" id="aa06109_html_aa20c333ff3d040f25453e48457f92675"><div class="ttname"><a href="../../d9/d39/a06109.html#aa20c333ff3d040f25453e48457f92675">ExpansionMissionSettings::MaxMissions</a></div><div class="ttdeci">int MaxMissions</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00026">expansionmissionsettings.c:26</a></div></div>
<div class="ttc" id="aa06109_html_aaa86a376577f1125ec17397e9d79333c"><div class="ttname"><a href="../../d9/d39/a06109.html#aaa86a376577f1125ec17397e9d79333c">ExpansionMissionSettings::TimeBetweenMissions</a></div><div class="ttdeci">int TimeBetweenMissions</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00023">expansionmissionsettings.c:23</a></div></div>
<div class="ttc" id="aa06109_html_aaaba25b686fb4eb3c7e45890b44deb80"><div class="ttname"><a href="../../d9/d39/a06109.html#aaaba25b686fb4eb3c7e45890b44deb80">ExpansionMissionSettings::CopyInternal</a></div><div class="ttdeci">private void CopyInternal(ExpansionMissionSettings s)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00093">expansionmissionsettings.c:93</a></div></div>
<div class="ttc" id="aa06109_html_ac00501e04591c646a3513de71bc6819e"><div class="ttname"><a href="../../d9/d39/a06109.html#ac00501e04591c646a3513de71bc6819e">ExpansionMissionSettings::Enabled</a></div><div class="ttdeci">bool Enabled</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00020">expansionmissionsettings.c:20</a></div></div>
<div class="ttc" id="aa06109_html_ac59ad1ca4f2bb5d95963d5659d4031ba"><div class="ttname"><a href="../../d9/d39/a06109.html#ac59ad1ca4f2bb5d95963d5659d4031ba">ExpansionMissionSettings::IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00114">expansionmissionsettings.c:114</a></div></div>
<div class="ttc" id="aa06109_html_aeab5cd23ee9a3f634256dd2a1361d824"><div class="ttname"><a href="../../d9/d39/a06109.html#aeab5cd23ee9a3f634256dd2a1361d824">ExpansionMissionSettings::MinMissions</a></div><div class="ttdeci">int MinMissions</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00025">expansionmissionsettings.c:25</a></div></div>
<div class="ttc" id="aa06109_html_aef2869d78ca7f285bc04e9f91c99bc70"><div class="ttname"><a href="../../d9/d39/a06109.html#aef2869d78ca7f285bc04e9f91c99bc70">ExpansionMissionSettings::Missions</a></div><div class="ttdeci">ref array&lt; ref ExpansionMissionMeta &gt; Missions</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d2e/a01949_source.html#l00031">expansionmissionsettings.c:31</a></div></div>
<div class="ttc" id="aa08769_html_aa0f82b1e3b5f4f3334a8dafefe9a03b0"><div class="ttname"><a href="../../de/d5d/a08769.html#aa0f82b1e3b5f4f3334a8dafefe9a03b0">EXPANSION_MISSIONS_FOLDER</a></div><div class="ttdeci">static const string EXPANSION_MISSIONS_FOLDER</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00091">expansionconstants.c:91</a></div></div>
<div class="ttc" id="aa08769_html_abea0d1793252861077cd838cc3f849d2"><div class="ttname"><a href="../../de/d5d/a08769.html#abea0d1793252861077cd838cc3f849d2">EXPANSION_MISSION_SETTINGS</a></div><div class="ttdeci">static const string EXPANSION_MISSION_SETTINGS</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00104">expansionconstants.c:104</a></div></div>
<div class="ttc" id="aa08769_html_ac1b44835d65dbd0da0d46b3e849cbaa7"><div class="ttname"><a href="../../de/d5d/a08769.html#ac1b44835d65dbd0da0d46b3e849cbaa7">EXPANSION_FOLDER</a></div><div class="ttdeci">static const string EXPANSION_FOLDER</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00080">expansionconstants.c:80</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_98a0d52b5ffeb2d0008749a8725e4adf.html">Missions</a></li><li class="navelem"><a class="el" href="../../dir_14d412830fda8cd862f99a875104cbc4.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_5326c14ca8ac6850526bc4dedc1589dc.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_df646b889deb7442b8d07494ae31426b.html">dayzexpansion_missions</a></li><li class="navelem"><a class="el" href="../../dir_39b4294dc1f24fe54341931c0914931b.html">missions</a></li><li class="navelem"><a class="el" href="../../dd/d2e/a01949.html">expansionmissionsettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
